GET /documentprocessing/document/installedprinters
GET https://example.com/documentprocessing/document/installedprinters
Description
Returns information about the printers installed on the server. Available since version 3.3.0. The name of a printer can be passed as formattingPrinter in the MergeSettings object of the merge and find and replace endpoints.
Authorization
This endpoint supports the OAuth authorization method. DS Server checks the access token only when OAuth is enabled in the admin portal (see Enable OAuth). With OAuth disabled, the default of a new installation, the endpoint accepts requests without a token.
DS Server implements OAuth as the authorization method. Two flows are supported:
- Authorization Code
- Client Credentials
To use the Client Credentials flow, switch on Allow “Client Credentials” grant type in the security profile (see OAuth Grant Types).
In both cases, a valid access token returned from the OAuth endpoints must be passed in a Bearer Authorization Header, as a Query Parameter or in a Cookie.
Authorization Header
| Header field | Description |
|---|---|
| Authorization | A Bearer authorization header (also called token authentication) contains the OAuth access token. The authorization method and a space i.e. "Bearer " is then put before your valid access token. For example: Authorization: Bearer 4796E23054E64BC773CACBCAF24AD179DE9A3 |
Query Parameter
| Query parameter | Description |
|---|---|
| access_token | The access token is passed directly in the endpoint URL as a query string. For example: ?access_token=4796E23054E64BC773CACBCAF24AD179DE9A3 |
Cookie
| Cookie | Description |
|---|---|
| access_token | The access token is passed in a cookie named access_token. For example: Cookie: access_token=4796E23054E64BC773CACBCAF24AD179DE9A3 |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The response body contains an array of PrinterInfo objects. |
PrinterInfo
| Name | Type | Value | Optional |
|---|---|---|---|
| name | String | The name of the printer. | yes |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) with an empty body is returned, if OAuth is enabled and the request has no valid access token. |
| 405 | A 405 (Method Not Allowed) with an empty body and the header Allow: GET is returned for any other HTTP method, for example POST. |
| 400 | A 400 (Bad Request) is returned, if DS Server is not licensed or the license is invalid. On a server that is not registered, the body is the JSON string "DS Server is not registered." (application/json). DS Server checks the license before the parameter values. |